> For the complete documentation index, see [llms.txt](https://docs.sollumz.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sollumz.org/2.4/documentation/fragments.yft/vehicle-shaders.md).

# Vehicle Shaders

### Vehicle Paint shaders

`vehicle_paint1`

Texture samplers: Diffuse, Dirt, Specular / DiffuseSampler, DirtSampler, SpecSampler

UV Maps:\
UV Map 0 - Diffuse/Specular\
UV Map 1 - Dirt

`vehicle_paint1_enveff`

Texture samplers: Diffuse, Snow Sampler 0, Snow Sampelr 1, Dirt, Specular / DiffuseSampler, SnowSampler0, SnowSampler 1, DirtSampler, SpecSampler

UV Maps:\
UV Map 0 - Diffuse/Specular\
UV Map 1 - Dirt\
\
Vertex Alpha: visibility of snow samplers

### Vehicle Light shaders

`vehicle_lightsmeissive`

Texture samplers: Diffuse, Dirt, Specular / DiffuseSampler, DirtSampler, SpecSampler

UV Maps:\
UV Map 0 - Diffuse/Specular\
UV Map 1 - Dirt

### Vehicle Glass shaders

todo

### Vehicle Interior shaders

`vehicle_interior`

Texture samplers: Diffuse, Specular / DiffuseSampler, SpecSampler

UV Maps:\
UV Map 0 - Diffuse/Specular

`vehicle_interior2`

Texture samplers: Diffuse, Specular / DiffuseSampler, SpecSampler

UV Maps:\
UV Map 0 - Diffuse/Specular

### Vehicle Mesh shaders

`vehicle_mesh`

Texture samplers: Diffuse, Dirt, Bump, Specular / DiffuseSampler, DirtSampler, BumpSampler, SpecSampler

UV Maps:\
UV Map 0 - Diffuse/Bump/Specular\
UV Map 1 - Dirt&#x20;

### Vehicle Tire shaders

`vehicle_tire`

Texture samplers: Diffuse, Dirt, Bump, Specular / DiffuseSampler, DirtSampler, BumpSampler, SpecSampler

UV Maps:\
UV Map 0 - Diffuse/Dirt/Bump/Specular

### Vehicle Emissive shaders

`vehicle_dash_emissive`

Texture samplers: Diffuse, Specular / DiffuseSampler, SpecSampler

UV Maps:\
UV Map 0 - Diffuse/Specular

`vehicle_dash_emissive_opaque`

Texture samplers: Diffuse, Specular / DiffuseSampler, SpecSampler

UV Maps:\
UV Map 0 - Diffuse/Specular

### Vehicle License plate shaders

`vehicle_licenseplate`

Texture samplers: Dirt, Plate background, Place background bump, Font, Font bump / DirtSampler, PlateBgSampler, PlateBgBumpSampler, FontSampler, FontNormalSampler

UV Maps:\
UV Map 0 - Plate background, Place background bump, Font, Font bump\
UV Map 1 - Dirt

### Vehicle Miscellaneous shaders

`vehicle_badges`

Texture samplers: Diffuse, Bump, Specular / DiffuseSampler, BumpSampler, SpecSampler

UV Maps:\
UV Map 0 - Diffuse/Bump/Specular

`vehicle_decal`

Texture samplers: Diffuse, Specular / DiffuseSampler, SpecSampler

UV Maps:\
UV Map 0 - Diffuse/Specular

`vehicle_detail2`

Texture samplers: Diffuse, Detail, Specular / DiffuseSampler, DetailSampler, SpecSampler

UV Maps:\
UV Map 0 - Diffuse/Bump/Specular\
UV Map 1 - Detail (tileable)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sollumz.org/2.4/documentation/fragments.yft/vehicle-shaders.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
